Can't install the gemfile in the learn_ruby repository


#1

https://www.theodinproject.com/courses/web-development-101/lessons/ruby?ref=lnav

i’m on this lesson and i cloned the repo and when i go to the learn_ruby in my terminal and type bundle install I get an error
"Traceback (most recent call last):
2: from /home/zack/.rbenv/versions/2.5.3/bin/bundle:23:in <main>' 1: from /home/zack/.rbenv/versions/2.5.3/lib/ruby/2.5.0/rubygems.rb:308:inactivate_bin_path’
/home/zack/.rbenv/versions/2.5.3/lib/ruby/2.5.0/rubygems.rb:289:in `find_spec_for_exe’: can’t find gem bundler (>= 0.a) with executable bundle (Gem::GemNotFoundException)
"

without doing this the test files do not work when i try them.
thanks


#2

Try gem install bundler

Then try running bundle install again


#3

i figured out the bundler was a different version so to fix it I deleted the bundled with part of the gemfile.lock